Subject: [PATCH] add Agda.

From: Alex ter Weele <[email-masked]>
Date: Tue, 20 Feb 2018 19:23:06 -0600

Hello,

The following patch series fixes a few ghc- packages, adds another, and
finally adds Agda. Following the example of Idris, I've placed it in its
own file.

I have not yet packaged the Emacs mode for Agda. That's next!